<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: MapLoader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMapLoader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MapLoader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for MapLoader:</div>
<div class="dyncontent">
<div class="center"><img src="classMapLoader__inherit__graph.png" border="0" usemap="#aMapLoader_inherit__map" alt="Inheritance graph"/></div>
<map name="aMapLoader_inherit__map" id="aMapLoader_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,100,107"/>
<area shape="rect" title=" " alt="" coords="15,5,90,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for MapLoader:</div>
<div class="dyncontent">
<div class="center"><img src="classMapLoader__coll__graph.png" border="0" usemap="#aMapLoader_coll__map" alt="Collaboration graph"/></div>
<map name="aMapLoader_coll__map" id="aMapLoader_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,100,107"/>
<area shape="rect" title=" " alt="" coords="15,5,90,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ad8d910b4148c19c2189de8a30d2b12c7"><td class="memItemLeft" align="right" valign="top"><a id="ad8d910b4148c19c2189de8a30d2b12c7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>saveMap</b> ()</td></tr>
<tr class="separator:ad8d910b4148c19c2189de8a30d2b12c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a554866d68bc9b218aa9a82f6620640f3"><td class="memItemLeft" align="right" valign="top"><a id="a554866d68bc9b218aa9a82f6620640f3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>loadMap</b> ()</td></tr>
<tr class="separator:a554866d68bc9b218aa9a82f6620640f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae095f5adc321257d4ff7b5c7f4126b81"><td class="memItemLeft" align="right" valign="top"><a id="ae095f5adc321257d4ff7b5c7f4126b81"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MapLoader</b> (<a class="el" href="classCanvas.html">Canvas</a> *canvas)</td></tr>
<tr class="separator:ae095f5adc321257d4ff7b5c7f4126b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="MapLoader_8h_source.html">MapLoader.h</a></li>
<li>src/MapLoader.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
